[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/sites
Deprecated: Retrieves sites by study ID. Rights: OrsInventoryGet. DEPRECATED - use /ec-site-svc/rest/v2.0/studies/{studyId}/{mode}/sdfs/sdf/{sdfType}
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object SDFModel
Contains site and depot detail
Nested Schema : SDFModel
Type:
objectContains site and depot detail
Show Source
-
attention: string
Attention
-
depot: boolean
Is it depotExample:
true -
primaryAddress: object
shippingAddress
Title:
shippingAddressContains site/depot address. -
prinicalInvestigator: string
-
sdf: object
SDFs
Contains site and depot detail
-
sdfAddresses: array
sdfAddresses
-
sdfPropertyList: array
sdfPropertyList
-
shippingAddress: object
shippingAddress
Title:
shippingAddressContains site/depot address. -
studyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.1
Nested Schema : shippingAddress
Type:
objectTitle:
shippingAddressContains site/depot address.
Show Source
-
address: string
-
addressCity: string
Address city
-
addressCountry: string
Address country
-
addressCounty: string
Address county
-
addressPostalcode: string
Address postal code
-
addressStateOrProvOrCounty: string
Address state/province/county
-
addressStreet1: string
Address Street1 detail
-
addressStreet2: string
Address Street2 detail
-
addressType: string
Type of address nameExample:
Primary/Shipping -
email: string
Email Address
-
fax: string
Fax number
-
id: string
(uuid)
Unique id for site/depot address
-
phone: string
Phone number
-
sdfId: string
(uuid)
Unique id for site/depot
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Nested Schema : SDFs
Type:
objectContains site and depot detail
Show Source
-
designId: string
(uuid)
Unique id for design
-
designVersionStart: string
(date-time)
Design Version start
-
id: string
(uuid)
Unique id for site/depot
-
name: string
Site nameExample:
Site1001 -
sdfType: string
Site/Depot typeExample:
Site/Depot -
status: string
Allowed Values:
[ "new", "active", "retired" ]Site statusExample:new -
studyOrgId: string
Site/Depot org idExample:
Site1001 -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Nested Schema : sdfAddresses
Type:
Show Source
array-
Array of:
object shippingAddress
Title:
shippingAddressContains site/depot address.
Nested Schema : sdfPropertyList
Type:
Show Source
array-
Array of:
object sdfPropertyList
Title:
sdfPropertyListContains site depot properties.
Nested Schema : sdfPropertyList
Type:
objectTitle:
sdfPropertyListContains site depot properties.
Show Source
-
id: string
(uuid)
Unique id for site property
-
propertyName: string
Property nameExample:
drugDestruction -
propertyValue: string
Property valueExample:
false -
reason: string
reasonExample:
test -
sdfId: string
(uuid)
Unique id for site/depot
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Examples
404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples